#!/bin/bash
#
# Copyright (C) 2023 Juan Domingo (Juan.Domingo@uv.es)
#
# This script is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.
#

rm -f *.sql

./FillDrug.pl ATCsimp.csv
if [ $? -eq 0 ]; then
 echo "FillDrug.pl ended succesfully"
else
 echo "Error in perl macro FillDrug.pl"
 exit 1
fi

./FillTherapy.pl
if [ $? -eq 0 ]; then
 echo "FillTherapy.pl ended succesfully"
else
 echo "Error in perl macro FillTherapy.pl"
 exit 1
fi

./FillPathology.pl icd10cm_order_2022.txt
if [ $? -eq 0 ]; then
 echo "FillPathology.pl ended succesfully"
else
 echo "Error in perl macro FillPathology.pl"
 exit 1
fi

./FillVariationType.pl
if [ $? -eq 0 ]; then
 echo "FillVariationType.pl ended succesfully"
else
 echo "Error in perl macro FillVariationType.pl"
 exit 1
fi

mv -f *.sql ../

